Subject: Re: bug#35662: Really relocatable binaries crash with Permission denied

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 13 May 2019 22:45:24 +0200

On Mon, May 13, 2019 at 10:39:21PM +0200, Ludovic Courtï¿½s wrote:
> I suspect ZFS-on-Linux (right?) is doing something unusual here:

I suppose it is ZFS on Linux; it is Linux, I can ask the admins if it
could be something else.

> What do the following commands do on this system?
> 
> --8<---------------cut here---------------start------------->8---
> $ mkdir -p /tmp/test/lib
> $ unshare -mrf mount /lib /tmp/test/lib -o bind,readonly
> --8<---------------cut here---------------end--------------->8---
> 

[f_pelz12@tux6 ~]$ mkdir -p /tmp/test/lib
[f_pelz12@tux6 ~]$ unshare -mrf mount /lib /tmp/test/lib -o bind,readonly
unshare: cannot change root filesystem propagation: Permission denied

Thank *you*, Ludo!  A working guix pack would be helpful for me.

Regards,
Florian